Subject: Re: bug#32250: ls -explain better the different times

From: kalle <[email-masked]>
Date: Mon, 31 Dec 2018 22:10:19 +0100

hello,
i'm happy that so much later someone cares about my bug-report.

Am 31.12.2018 um 05:13 schrieb Assaf Gordon:
> Hello,
> 
> On 2018-07-23 9:54 a.m., kalle wrote:
>> in the documentation of ls the concept of the different times is not
>> explained sufficiently well (mtime, atime, ctime).

I'm sorry to discover that when I wrote these lines, I referred to
version 8.26-3, while it was not the most actual. The section "File
timestamps" didn't exist then.

However, I still believe that the times are not described precisely
enough by the terms "write","read","change" until it is totally clear,
what is meant by these (it is not totally clear to me).

Therefore I welcome your summary table, although not being able to read
it, since it's only a patch.

> 
> The dedicated file-timestamp section (
> https://www.gnu.org/software/coreutils/manual/html_node/File-timestamps.html
> ) is indeed perhaps a bit too dense (lots of text
> with no quick examples).
> 
> Attached is an improvement suggestion, adding a summary table,
> and details examples.
> 
> Comments and feedback welcomed,
>  - assaf
> 
> 

greetings,
kalle